//
//  ResizePerimeterScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct ResizePerimeterScreen: View {
    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Augmentez votre périmètre afin de recevoir plus de demandes", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                Image("perimeter")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 140)
                VStack {
                    SQText("Le saviez-vous ?", font: .demiBold)
                    SQText("Si vous le souhaitez, vous pouvez modifier à tout moment votre abonnement en élargissant votre périmètre d’intervention.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Modifier mon périmètre", color: .sqOrange(50), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqOrange(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
    }
}

#Preview {
    ResizePerimeterScreen()
}
